<?xml version="1.0" encoding="ISO-8859-1"?>

<PropertyList>

  <path>bouton.ac</path>

  <animation>
    <!-- Objets opaques -->
    <object-name>base</object-name>
    <object-name>on-off</object-name>
    <object-name>lampoff</object-name>
    <object-name>lampon</object-name>

    <!-- Objets transparents -->
  </animation>

  <animation>
    <type>noshadow</type>
    <object-name>base</object-name>
    <object-name>on-off</object-name>
    <object-name>lampoff</object-name>
    <object-name>lampon</object-name>
  </animation>

  <animation>
    <type>material</type>
    <object-name>base</object-name>
    <object-name>on-off</object-name>
    <condition>
      <property>controls/electric/battery-switch</property>
    </condition>
    <emission>
      <factor-prop>controls/lighting/luminosite-lights</factor-prop>
      <red>   0.50 </red>
      <green> 0.40 </green>
      <blue>  0.30 </blue>
    </emission>
  </animation>

  <animation>
    <type>material</type>
    <object-name>lampoff</object-name>
    <condition>
      <property>controls/electric/battery-switch</property>
    </condition>
    <emission>
      <red>   0.05 </red>
      <green> 0.04 </green>
      <blue>  0.03 </blue>
    </emission>
  </animation>

  <animation>
    <type>material</type>
    <object-name>lampon</object-name>
    <condition>
      <property>controls/electric/battery-switch</property>
    </condition>
    <emission>
      <red>   1.5 </red>
      <green> 1.4 </green>
      <blue>  1.3 </blue>
    </emission>
  </animation>

  <animation>
    <type>select</type>
    <object-name>lampon</object-name>
    <condition>
      <property>/controls/lighting/nav-lights</property>
    </condition>
  </animation>

  <animation>
    <type>select</type>
    <object-name>lampoff</object-name>
    <condition>
      <not><property>controls/lighting/strobe-lights</property></not>
    </condition>
  </animation>

  <animation>
    <object-name>on-off</object-name>
    <type>rotate</type>
    <property>/controls/lighting/nav-lights</property>
    <factor> 30 </factor>
    <min-deg>  0 </min-deg>
    <max-deg> 30 </max-deg>
    <axis>
      <x>  0 </x>
      <y> -1 </y>
      <z>  0 </z>
    </axis>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>on-off</object-name>
    <visible>true</visible>
    <action>
      <button>0</button>
      <repeatable>false</repeatable>
      <binding>
        <command>property-toggle</command>
        <property>/controls/lighting/nav-lights</property>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>sim/model/sound/click</property>
      </binding>
    </action>
  </animation>

</PropertyList>
